microsoft-foundry.rest.security.o-auth2-auth
Vector stores
Cancel a vector store file batch
POST
/openai/v1/vector_stores/{vector_store_id}/file_batches/{batch_id}/cancel
Cancels a vector store file batch by its identifier.
Path parameters
vector_store_id
string
required
The ID of the vector store that the file batch belongs to.
batch_id
string
required
The ID of the file batch to cancel.
Responses
The request has succeeded.
Body
Content-Type: application/json
id
string
required
The identifier, which can be referenced in API endpoints.
object
enum
required
The object type, which is always vector_store.file_batch.
vector_store.file_batch
created_at
integer
required
The Unix timestamp (in seconds) for when the vector store files batch was created.
vector_store_id
string
required
The ID of the vector store that the File is attached to.
status
enum
required
The status of the vector store files batch, which can be either in_progress, completed, cancelled or failed.
in_progresscompletedcancelledfailed
file_counts
OpenAI.VectorStoreFileBatchObjectFileCounts
required
in_progress
integer
required
completed
integer
required
failed
integer
required
cancelled
integer
required
total
integer
required
Request
curl https://api.openai.com/v1/vector_stores/vs_abc123/files_batches/vsfb_abc123/cancel \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-H "Content-Type: application/json" \
-H "OpenAI-Beta: assistants=v2" \
-X POST
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
vector_store_file_batch = client.vector_stores.file_batches.cancel(
batch_id="batch_id",
vector_store_id="vector_store_id",
)
print(vector_store_file_batch.id)
import OpenAI from "openai";
const openai = new OpenAI();
async function main() {
const deletedVectorStoreFileBatch = await openai.vectorStores.fileBatches.cancel(
"vsfb_abc123",
{ vector_store_id: "vs_abc123" }
);
console.log(deletedVectorStoreFileBatch);
}
main();
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const vectorStoreFileBatch = await client.vectorStores.fileBatches.cancel('batch_id', {
vector_store_id: 'vector_store_id',
});
console.log(vectorStoreFileBatch.id);
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
vectorStoreFileBatch, err := client.VectorStores.FileBatches.Cancel(
context.TODO(),
"vector_store_id",
"batch_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", vectorStoreFileBatch.ID)
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.vectorstores.filebatches.FileBatchCancelParams;
import com.openai.models.vectorstores.filebatches.VectorStoreFileBatch;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
FileBatchCancelParams params = FileBatchCancelParams.builder()
.vectorStoreId("vector_store_id")
.batchId("batch_id")
.build();
VectorStoreFileBatch vectorStoreFileBatch = client.vectorStores().fileBatches().cancel(params);
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
vector_store_file_batch = openai.vector_stores.file_batches.cancel("batch_id", vector_store_id: "vector_store_id")
puts(vector_store_file_batch)
Response
{
"id": "vsfb_abc123",
"object": "vector_store.file_batch",
"created_at": 1699061776,
"vector_store_id": "vs_abc123",
"status": "in_progress",
"file_counts": {
"in_progress": 12,
"completed": 3,
"failed": 0,
"cancelled": 0,
"total": 15,
}
}